<mat-form-field class="example-form-field">
    <mat-label>Clearable input</mat-label>
    <input matInput type="text" [(ngModel)]="value">
    <button *ngIf="value" matSuffix mat-icon-button aria-label="Add" (click)="addTask()">
      <mat-icon>close</mat-icon>
    </button>
  </mat-form-field>